Debian Bug report logs - #608477
live-build: lb build --help is broken

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Karl Goetz <karl@kgoetz.id.au>

Date: Fri, 31 Dec 2010 09:51:02 UTC

Severity: normal

Found in version live-build/2.0.9-1

Fixed in versions live-build/3.0~a11-1, live-build/2.0.12-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#608477; Package live-build. (Fri, 31 Dec 2010 09:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 31 Dec 2010 09:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lb build --help is broken
Date: Fri, 31 Dec 2010 20:19:52 +1030
Package: live-build
Version: 2.0.9-1
Severity: normal

Hi,

20:16:33 kgoetz@epicfail: ~/src/debian-live-build:gns $ lb build --help
No manual entry for lb_lb_build

If you manually type 'man lb_build' it will show the man page.
kk

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-build depends on:
ii  cdebootstrap                 0.5.7       Bootstrap a Debian system
ii  debootstrap                  1.0.27~gns1 Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-3 GNU Internationalization utilities
pn  gnu-fdisk                     <none>     (no description available)

Versions of packages live-build suggests:
ii  dosfstools                    3.0.9-1    utilities for making and checking 
ii  fakeroot                      1.14.4-1   Gives a fake root environment
ii  genisoimage                   9:1.1.11-1 Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest86        <none>     (no description available)
ii  mtools                        4.0.12-1   Tools for manipulating MSDOS files
pn  parted                        <none>     (no description available)
pn  squashfs-tools | genext2fs |  <none>     (no description available)
ii  sudo                          1.7.4p4-2  Provide limited super user privile
pn  syslinux | grub               <none>     (no description available)
ii  uuid-runtime                  2.17.2-3.3 runtime components for the Univers
pn  win32-loader                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#608477; Package live-build. (Sat, 01 Jan 2011 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 01 Jan 2011 17:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 608477@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Karl Goetz <karl@kgoetz.id.au>
Cc: 608477@bugs.debian.org
Subject: Re: Bug#608477: live-build: lb build --help is broken
Date: Sat, 01 Jan 2011 18:00:02 +0100
tag 608477 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 17:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#608477; Package live-build. (Sun, 02 Jan 2011 00:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 02 Jan 2011 00:45:05 GMT) Full text and rfc822 format available.

Message #17 received at 608477@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: daniel@debian.org
Cc: 608477@bugs.debian.org
Subject: Re: Bug#608477: live-build: lb build --help is broken
Date: Sun, 2 Jan 2011 09:13:56 +1030
[Message part 1 (text/plain, inline)]
On Sat, 01 Jan 2011 18:00:02 +0100
Daniel Baumann <daniel@debian.org> wrote:

> tag 608477 pending
> thanks
> 
> fixed in git.
> 

thanks.
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 11 Jan 2011 13:06:09 GMT) Full text and rfc822 format available.

Notification sent to Karl Goetz <karl@kgoetz.id.au>:
Bug acknowledged by developer. (Tue, 11 Jan 2011 13:06:09 GMT) Full text and rfc822 format available.

Message #22 received at 608477-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 608477-close@bugs.debian.org
Subject: Bug#608477: fixed in live-build 3.0~a11-1
Date: Tue, 11 Jan 2011 13:03:07 +0000
Source: live-build
Source-Version: 3.0~a11-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a11-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a11-1_all.deb
live-build_3.0~a11-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a11-1.debian.tar.gz
live-build_3.0~a11-1.dsc
  to main/l/live-build/live-build_3.0~a11-1.dsc
live-build_3.0~a11-1_all.deb
  to main/l/live-build/live-build_3.0~a11-1_all.deb
live-build_3.0~a11.orig.tar.gz
  to main/l/live-build/live-build_3.0~a11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608477@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Jan 2011 13:42:17 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a11-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 607108 608477 608566
Changes: 
 live-build (3.0~a11-1) experimental; urgency=low
 .
   * Disabling inclusion of GUI installer images on ubuntu.
   * Updating losetup-lukshome example hook to use blkid where available,
     thanks to Clint Adams <clint@gnu.org> (Closes: #607108).
   * Removing --apt-pdiff option, this doesn't belong into live-build in
     the first place.
   * Removing some more lenny-only stuff.
   * Simplyfing defaults function a bit.
   * Correcting outdated program variable.
   * Updating help function in lb for live-build.
   * Updating man function for newer live-build versions (Closes:
     #608477).
   * Removing xresprobe from standard-x11 list (Closes: #608566).
   * Generalizing compression handling and adding support for lzip
     tarballs.
   * Adding initial defaults for progress.
   * Removing encryption support until we have something for current
     kernels again.
   * Removing lb_chroot_sysvinit in favour of a hook, which is the
     appropriate way to handle this.
   * Removing legacy support for live-initramfs.
   * Correcting typo in compression defaults.
   * Removing unused debian-release mode.
   * Updating some defaults for progress.
   * Adding derivatives handling for progress.
   * Updating apt indices defaults for progress.
   * Shortening iso volume default for progress.
   * Correcting compression handling for tarballs.
   * Updating parent distribution defaults for progress.
   * Correcting typo in lzip default options.
   * Updating compression defaults for progress.
Checksums-Sha1: 
 2353aaaab2615a226f3d41244acd9ff80bca0e04 1282 live-build_3.0~a11-1.dsc
 ac9fdce03b434e42bf71514c188a009d57758163 1932129 live-build_3.0~a11.orig.tar.gz
 a3e5247055d11cae8ec93269ad2d38a50abb3707 38443 live-build_3.0~a11-1.debian.tar.gz
 3d2f2a5914af36403a93f0e996c71ddfa6f84935 1123844 live-build_3.0~a11-1_all.deb
 80bf2e9e4faf1e779de9685b3c2d89a3462adcb4 54690 live-build-cgi_3.0~a11-1_all.deb
Checksums-Sha256: 
 254f4328e260f58bf0ae297e35ec62291159c845057f6f13cd41cf840a501dec 1282 live-build_3.0~a11-1.dsc
 411d4bd9605afe29e72c5e42b7dbf5d6eb3a1566370520df68638495b933419f 1932129 live-build_3.0~a11.orig.tar.gz
 c751d3bd581f21bda2b42ef11d4694ec3bea7d2227a7a03ad6c74086823fcc3b 38443 live-build_3.0~a11-1.debian.tar.gz
 f94bf2e08c6b7726108a8a4747006581aa1cea0a29a6850cdb43ff6e46634d31 1123844 live-build_3.0~a11-1_all.deb
 1621a4e0f63d5312ca1fed710874653fa66c2ec584a0c7b3e3bd97e9e31612bb 54690 live-build-cgi_3.0~a11-1_all.deb
Files: 
 af0e4ab662e5fc07755c00c262f2c9c7 1282 misc optional live-build_3.0~a11-1.dsc
 d3be39007c65ce46ea6ea08b990077c2 1932129 misc optional live-build_3.0~a11.orig.tar.gz
 90f58a1758e9dcf270d0b478bd9b48d4 38443 misc optional live-build_3.0~a11-1.debian.tar.gz
 94ee84211fa5d6cb6722af3d501873b5 1123844 misc optional live-build_3.0~a11-1_all.deb
 9e5ee3de6d176e23585e69b8f710ab21 54690 misc optional live-build-cgi_3.0~a11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0sUUEACgkQ+C5cwEsrK56blACg3DXRWzf40pv+ql9POVqwGLoI
Vl4AoIs/o4YBnDS99eCNHvx34N5SfGr/
=Dep3
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 01 Feb 2011 22:03:09 GMT) Full text and rfc822 format available.

Notification sent to Karl Goetz <karl@kgoetz.id.au>:
Bug acknowledged by developer. (Tue, 01 Feb 2011 22:03:10 GMT) Full text and rfc822 format available.

Message #27 received at 608477-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 608477-close@bugs.debian.org
Subject: Bug#608477: fixed in live-build 2.0.12-1
Date: Tue, 01 Feb 2011 22:02:18 +0000
Source: live-build
Source-Version: 2.0.12-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0.12-1_all.deb
  to main/l/live-build/live-build-cgi_2.0.12-1_all.deb
live-build_2.0.12-1.diff.gz
  to main/l/live-build/live-build_2.0.12-1.diff.gz
live-build_2.0.12-1.dsc
  to main/l/live-build/live-build_2.0.12-1.dsc
live-build_2.0.12-1_all.deb
  to main/l/live-build/live-build_2.0.12-1_all.deb
live-build_2.0.12.orig.tar.gz
  to main/l/live-build/live-build_2.0.12.orig.tar.gz
live-helper_2.0.12-1_all.deb
  to main/l/live-build/live-helper_2.0.12-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608477@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 01 Feb 2011 22:32:56 +0100
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0.12-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 608477 608566
Changes: 
 live-build (2.0.12-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Removing l10n support for 2.0 branch.
   * Correcting outdated program variable.
   * Updating help function in lb for live-build.
   * Updating man function for newer live-build versions (Closes:
     #608477).
   * Marking xresprobe in standard-x11 list as lenny only (Closes:
     #608566).
   * Updating year in copyright.
   * Removing headers in copyright file.
   * Updating year in manpage, hooks, script and template files.
 .
   [ Luigi Capriotti ]
   * Support for newer grub-common package.
 .
   [ Daniel Baumann ]
   * Simplyfing grub-mkimage legacy handling for lenny in lb_binary_iso.
   * Adding ubuntu lucid for grub-mkimage legacy handling in
     lb_binary_iso.
   * Adding missing netinst udeb include files for ubuntu.
 .
   [ Cody A.W. Somerville ]
   * Adding missing debian-cd data files for Ubuntu releases for some
     architectures.
 .
   [ Daniel Baumann ]
   * Adding support for Ubuntu jaunty and natty, thanks to Cody A.W.
     Somerville <cody.somerville@canonical.com>.
 .
   [ Philip Newborough ]
   * Update example path in 'all_binary_debian-installer-banner.sh'
     example hook.
 .
   [ Daniel Baumann ]
   * Account for the + character in packages for l-b.cgi
   * Updating includes for squeeze.
   * Updating syslinux theme for squeeze.
   * Removing wheezy splash.
Checksums-Sha1: 
 73430f130a4b4a9d8b14653f68d352d0befc4693 1239 live-build_2.0.12-1.dsc
 e6b28dca08bf1e00d222fdabe41a29ec4e9774c0 2885687 live-build_2.0.12.orig.tar.gz
 9623f3dc4945483ca9a4ef9b1ec75572438e2f76 38037 live-build_2.0.12-1.diff.gz
 03411769b803a1c88cc0a90a2635f38f4b98e6cb 1986594 live-build_2.0.12-1_all.deb
 e30356142536606f9d1c9e6a34787577af5d15ac 54634 live-build-cgi_2.0.12-1_all.deb
 70a4adb7b6e913450c70127074473afee16c0b11 49524 live-helper_2.0.12-1_all.deb
Checksums-Sha256: 
 b6c8ccceed703d8d5a97d2de1979a3c4945a018e27c19feab50f0f1c976eb3bc 1239 live-build_2.0.12-1.dsc
 f5d25a14369465d9d177760fee64eaac1b010d49a709093ad425c76d85e3d32b 2885687 live-build_2.0.12.orig.tar.gz
 bfe3b0ce40c1429cb4a3a7697087db481ccb5cfecab1073a9436492267225f2a 38037 live-build_2.0.12-1.diff.gz
 8173dbb9d830eb6c96a04d95075aac426e667d16a02027b5d82ed4ab55e1a0ff 1986594 live-build_2.0.12-1_all.deb
 939d9922ebdefd4b508a3621fcd73a0b69f17a6538049db06be041089099c933 54634 live-build-cgi_2.0.12-1_all.deb
 1e9d84f2079996382d5e616d8fcd499bdcb8e7ecaf7aa067d1c61b06d2684596 49524 live-helper_2.0.12-1_all.deb
Files: 
 2d14d465785f1cc9e2bf9b63b12ef69d 1239 misc optional live-build_2.0.12-1.dsc
 62dac5744e7bf466f7fccb0c889b3d49 2885687 misc optional live-build_2.0.12.orig.tar.gz
 f117306d2f97405048967670c575f67d 38037 misc optional live-build_2.0.12-1.diff.gz
 643119c7136705a22f2f2356e3a60f1b 1986594 misc optional live-build_2.0.12-1_all.deb
 2dbb9303c9d79acc4cdb4d64e8654b0d 54634 misc optional live-build-cgi_2.0.12-1_all.deb
 216e3c69a76a082befb1774a1eecf1e4 49524 misc optional live-helper_2.0.12-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1If/sACgkQ+C5cwEsrK54zYQCfaBXKoOx6Re7EKrbgeMitMi/T
VDwAnjuPNOawgUq79ATWsRZpQ6ZGPUjB
=VFUP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Mar 2011 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:41:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.